"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.evaluateActions = void 0;
const core_1 = require("@checkup/core");
function evaluateActions(taskResult, taskConfig) {
    let actionsEvaluator = new core_1.ActionsEvaluator();
    let errors = taskResult.result.find((result) => result.key === 'eslint-errors');
    let warnings = taskResult.result.find((result) => result.key === 'eslint-warnings');
    let errorCount = errors.dataSummary.total;
    let warningCount = warnings.dataSummary.total;
    actionsEvaluator.add({
        name: 'reduce-eslint-errors',
        summary: 'Reduce number of eslint errors',
        details: `${errorCount} total errors`,
        defaultThreshold: 20,
        items: [`Total eslint errors: ${errorCount}`],
        input: errorCount,
    });
    actionsEvaluator.add({
        name: 'reduce-eslint-warnings',
        summary: 'Reduce number of eslint warnings',
        details: `${warningCount} total warnings`,
        defaultThreshold: 20,
        items: [`Total eslint warnings: ${warningCount}`],
        input: warningCount,
    });
    return actionsEvaluator.evaluate(taskConfig);
}
exports.evaluateActions = evaluateActions;
//# sourceMappingURL=eslint-summary-actions.js.map